Mailinglist Archive: opensuse-factory (266 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20200515 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Sun, 17 May 2020 00:01:16 +0000
  • Message-id: <158967367672.12358.5008470940420326458@go-agent-stagingbot-3>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20200515

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
autoyast2 (4.3.0 -> 4.3.1)
calligra (3.2.0 -> 3.2.1)
epson-inkjet-printer-escpr (1.6.35 -> 1.7.7)
exim
libstorage-ng (4.3.12 -> 4.3.20)
libyui-qt-graph (2.46.1 -> 2.46.2)
nut
quazip (0.8.1 -> 0.9)
rubygem-yast-rake (0.2.37 -> 0.2.38)
translation-update
yast2-http-server (4.2.7 -> 4.3.0)
yast2-installation (4.2.42 -> 4.3.1)
yast2-iscsi-client (4.2.5 -> 4.3.0)
yast2-kdump (4.2.9 -> 4.3.0)
yast2-mail (4.2.2 -> 4.3.0)
yast2-network (4.2.66 -> 4.3.0)
yast2-nfs-client (4.2.7 -> 4.3.1)
yast2-nfs-server (4.2.4 -> 4.3.0)
yast2-nis-client (4.2.3 -> 4.3.0)
yast2-ntp-client (4.2.11 -> 4.3.0)
yast2-online-update-configuration (4.2.1 -> 4.3.0)
yast2-packager (4.3.0 -> 4.3.1)
yast2-printer (4.2.0 -> 4.3.0)
yast2-proxy (4.2.2 -> 4.3.0)
yast2-samba-client (4.2.3 -> 4.3.0)
yast2-samba-server (4.2.4 -> 4.3.0)
yast2-security (4.2.12 -> 4.3.0)
yast2-services-manager (4.2.5 -> 4.3.0)
yast2-sound (4.3.0 -> 4.3.1)
yast2-squid (4.2.1 -> 4.3.0)
yast2-storage-ng (4.3.3 -> 4.3.6)
yast2-sysconfig (4.2.1 -> 4.3.0)
yast2-tftp-server (4.2.0 -> 4.3.0)
yast2-users (4.2.10 -> 4.3.1)

=== Details ===

==== autoyast2 ====
Version update (4.3.0 -> 4.3.1)
Subpackages: autoyast2-installation

- fix schema if it include definition multiple times (bsc#1171412)
- 4.3.1

==== calligra ====
Version update (3.2.0 -> 3.2.1)

- Update to 3.2.1:
* Fix canvas event handling (kde#421083)
* Fix QCommandLineParser warnings with Qt 5.14

==== epson-inkjet-printer-escpr ====
Version update (1.6.35 -> 1.7.7)

- Update to 1.7.7:
* Supported new models:
+ ET-M2120_Series
- Changes from 1.6.36 to 1.7.6:
* Suppored new models:
+ EC-C110_Series
+ EP-712A_Series
+ EP-812A_Series
+ EP-M552T_Series
+ ET-2720_Series
+ ET-2760_Series
+ EW-052A_Series
+ L3160_Series
+ M2110_Series
+ M2120_Series
+ PX-S06_Series
+ WF-110_Series
+ WF-2810_Series
+ WF-2830_Series
+ WF-2850_Series
+ XP-2100_Series
+ XP-3100_Series
+ XP-4100_Series
- Drop obsolete conditional build requirement for SLE10.

==== exim ====

- bring changes from current in +fixes branch
(patch-exim-fixes-ee83de04d3087efaf808d1f2235a988275c2ee94)
* fixes CVE-2020-12783 (bsc#1171490)
* Regard command-line recipients as tainted.
* Bug 2489: Fix crash in the "pam" expansion condition.
* Use tainted buffers for the transport smtp context.
* Bug 2493: Harden ARC verify against Outlook, which has been seen to mix
the ordering of its ARC headers. This caused a crash.
* Bug 2492: Use tainted memory for retry record when needed. Previously when
a new record was being constructed with information from the peer, a trap
was taken.
* Bug 2494: Unset the default for dmarc_tld_file.
* Fix an uninitialised flag in early-pipelining. Previously connections
could, depending on the platform, hang at the STARTTLS response.
* Bug 2498: Reset a counter used for ARC verify before handling another
message on a connection. Previously if one message had ARC headers and
the following one did not, a crash could result when adding an
Authentication-Results: header.
* Bug 2500: Rewind some of the common-coding in string handling between the
Exim main code and Exim-related utities.
* Fix the variables set by the gsasl authenticator.
* Bug 2507: Modules: on handling a dynamic-module (lookups) open failure,
only retrieve the errormessage once.
* Bug 2501: Fix init call in the heimdal authenticator. Previously it
adjusted the size of a major service buffer; this failed because the
buffer was in use at the time. Change to a compile-time increase in the
buffer size, when this authenticator is compiled into exim.

==== libstorage-ng ====
Version update (4.3.12 -> 4.3.20)
Subpackages: libstorage-ng-lang libstorage-ng-ruby libstorage-ng1

- merge gh#openSUSE/libstorage-ng#743
- moved more registries to separate source file
- fixed typo
- 4.3.20
- Translated using Weblate (Indonesian) (bsc#1149754)
- Translated using Weblate (Swedish) (bsc#1149754)
- 4.3.19
- merge gh#openSUSE/libstorage-ng#742
- moved load registry to separate source file
- added documentation
- added developer mode
- 4.3.18
- merge gh#openSUSE/libstorage-ng#741
- use views in actiongraph calculation
- added unit test
- 4.3.17
- merge gh#openSUSE/libstorage-ng#740
- make enum view available in public interface
- add view parameter to some function
- ignore some snapshot relations in actiongraph
- added unit test for deleting lvm snapshots
- updated integration tests
- extended documentation
- reduced include statements
- 4.3.16
- merge gh#openSUSE/libstorage-ng#739
- disable more code if probing btrfs snapshot relations is disabled
- 4.3.15
- merge gh#openSUSE/libstorage-ng#738
- allow parallel edges in devicegraph
- allow to probe btrfs snapshot relations
- added unit tests
- coding style
- fixed typo
- strip unimportant information of unit test
- 4.3.14
- merge gh#openSUSE/libstorage-ng#737
- do not save unknown btrfs subvolume id
- easier to understand code
- reduced include statements
- added note
- relaxed checks loading btrfs subvolume id
- extended documentation and minor cleanups
- 4.3.13

==== libyui-qt-graph ====
Version update (2.46.1 -> 2.46.2)

- handle multi-line labels (bsc#1171700)
- 2.46.2

==== nut ====
Subpackages: libupsclient1 nut-cgi

- use /usr/lib instead of %{_libexecdir} for systemd and udev
rules, %{_libexecdir} is dedicated for internal binaries

==== quazip ====
Version update (0.8.1 -> 0.9)

- Update to version 0.9
* Support for extended timestamps
* Various contributed CMake fixes
- Drop quazip-0.8.1_pkgconfig.patch (merged upstream)
- Add quazip-0.9-pkgconfig.patch
- Add quazip-0.9-no_static_library.patch
- Drop Group tag

==== rubygem-yast-rake ====
Version update (0.2.37 -> 0.2.38)

- Enhanced "check:pot" task to check for "%<foo>" tags in
translatable strings (should be replaced with "%{}")
(bsc#1171555)
- 0.2.38

==== translation-update ====
Subpackages: translation-update-cs translation-update-da translation-update-de
translation-update-el translation-update-en_GB translation-update-es
translation-update-fr translation-update-hu translation-update-it
translation-update-ja translation-update-pl translation-update-pt
translation-update-pt_BR translation-update-ru translation-update-zh_CN
translation-update-zh_TW

- Remove antique 'Obsoletes' lines.
These packages are obsoleted since Leap 42.1 and some of them
now cause build issues in openSUSE Factory.

==== yast2-http-server ====
Version update (4.2.7 -> 4.3.0)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.0

==== yast2-installation ====
Version update (4.2.42 -> 4.3.1)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.1
- remove obsolete proposal_settings_editable (bsc#1171423)
- 4.3.0

==== yast2-iscsi-client ====
Version update (4.2.5 -> 4.3.0)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.0

==== yast2-kdump ====
Version update (4.2.9 -> 4.3.0)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.0

==== yast2-mail ====
Version update (4.2.2 -> 4.3.0)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.0

==== yast2-network ====
Version update (4.2.66 -> 4.3.0)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.0

==== yast2-nfs-client ====
Version update (4.2.7 -> 4.3.1)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.1
- Fixed crash when using [Cancel] in the "Add" dialog (bsc#1170447)
- 4.3.0

==== yast2-nfs-server ====
Version update (4.2.4 -> 4.3.0)
Subpackages: yast2-nfs-common

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.0

==== yast2-nis-client ====
Version update (4.2.3 -> 4.3.0)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.0

==== yast2-ntp-client ====
Version update (4.2.11 -> 4.3.0)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.0

==== yast2-online-update-configuration ====
Version update (4.2.1 -> 4.3.0)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.0

==== yast2-packager ====
Version update (4.3.0 -> 4.3.1)

- Removed widget option :immediate which is undefined for the
MultiSelectionBox widget (bsc#1170431)
- 4.3.1

==== yast2-printer ====
Version update (4.2.0 -> 4.3.0)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.0

==== yast2-proxy ====
Version update (4.2.2 -> 4.3.0)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.0

==== yast2-samba-client ====
Version update (4.2.3 -> 4.3.0)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.0

==== yast2-samba-server ====
Version update (4.2.4 -> 4.3.0)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.0

==== yast2-security ====
Version update (4.2.12 -> 4.3.0)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.0

==== yast2-services-manager ====
Version update (4.2.5 -> 4.3.0)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.0

==== yast2-sound ====
Version update (4.3.0 -> 4.3.1)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.1

==== yast2-squid ====
Version update (4.2.1 -> 4.3.0)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.0

==== yast2-storage-ng ====
Version update (4.3.3 -> 4.3.6)

- ensure crypttab entries use correct mount_by variant (bsc#1165702)
- 4.3.6
- Partitioner: fixed a crash when libstorage-ng fails to report
the block device of an LVM PV, which is a consequence of a wrong
multipath setup (bsc#1170216).
- 4.3.5
- remove obsolete proposal_settings_editable (bsc#1171423)
- 4.3.4

==== yast2-sysconfig ====
Version update (4.2.1 -> 4.3.0)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.0

==== yast2-tftp-server ====
Version update (4.2.0 -> 4.3.0)

- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.0

==== yast2-users ====
Version update (4.2.10 -> 4.3.1)

- AY proposal: Fixed crash. Showing user settings only because the
UI does not fit to the AY settings. The user cannot change these
settings anymore (bsc#1170815).
- 4.3.1
- Autoyast schema: Allow optional types for string and map objects
(bsc#1170886)
- 4.3.0


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages